> For the complete documentation index, see [llms.txt](https://docs.wem.io/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wem.io/platform/release-notes/runtime-release/release-5.2.0.md).

# Release 5.2.0

## Highlights

Runtime 5.2 is a major release focused on **multi-provider AI agent support**, **AI agent infrastructure overhaul**, and a broad sweep of **internal quality improvements** across the data layer, observability stack, and Kubernetes/Helm configuration.

## New AI features & enhancements

* The AI Agent Hub now supports multiple LLM providers beyond OpenAI: Anthropic, Google (including VertexAI authentication), Azure OpenAI (including ClientSecret authentication), and Cerebras are now also supported.
* AI agent conversations and messages are no longer stored in the central runtime database but in each application's own database, making sure they are always backed-up and migrated together with the application data.
* A new `AI agent conversation` field type has been added, with expression support and new functions: `DateCreated()`, `DateModified()`, `GetAgent()`, and `HasContent()`.
* Reasoning and thinking mode can now be enabled for AI agents.
* Improved model controls: max output tokens, reasoning effort, temperature, topP, verbosity, etc.
* AI agents can now receive image and file attachments. Supported file types are defined per model via `SupportedFileTypes` in the model specification.
* Support for native hosted tools of the LLM provider (file search, web search, code interpreter).
* Structured input and output messages with the "Invoke AI agent" flowchart node.
* AI agent chatbox improvements:
  * Read-only mode
  * Better loading indicator
  * Option to view internal information such as initial instructions, reasoning and function calling

## Other improvements

* **`ToConcept(localName, rootConcept)` overload:** A new overload of the `ToConcept()` function has been added, accepting both a local name and a root concept.
* **GKE support:** Kubernetes service account annotations and deployment labels for GKE have been added.
* **Request timeout:** `Application.RequestTimeout` is now used when creating the nginx configuration files.
* **Application activity log metrics** are now emitted.
* The public `__wem/checks/operational` endpoint now returns only a status string.

## Bugfixes

* \#4430 - Intermediate certificates were lost when completing a CSR.
* \#3969 - Deleted concepts in session concept sets were incorrectly re-added when reading session data.
* \#3986 - Deleted data model fields were not being ignored in `DataValues`.
* \#4066 - Navigation submenu failed when the parent was a deeplink with a URL path.
* \#4106 - IronPdf "page X of Y" footer was displayed on the wrong side.
* \#4393 - DataImport JSON overlay with format "None" for DateTime and Number types was not using flexible parsing.
* \#4422 - Incorrect results when using `orderby` with `skip/take` inside expressions.
* \#4098 - WSDL Security header issue resolved.
* \#4197 - `CopyDataNode` direct-to-database transaction conflict resolved.
* \#4193 - Helm `initContainers` schema incorrectly required an object instead of an array.
* \#4223 - Helm `documentcreator-hpa.yaml` had incorrect indentation for `scaleTargetRef`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wem.io/platform/release-notes/runtime-release/release-5.2.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
